## python-httptools 0.0.11

=== Makefile ===
.PHONY: compile release test


compile:
	cython httptools/parser/parser.pyx
	python3 setup.py build_ext --inplace


release: compile test
	python3 setup.py sdist upload


test:
	python3 -m unittest discover -s tests -v

=== debian/changelog ===
python-httptools (0.0.11-1) unstable; urgency=low

  * Initial release (Closes: #911498).

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Oct 2018 20:49:40 +0200

=== debian/control ===
Source: python-httptools
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 cython3,
 debhelper (>= 11),
 dh-python,
 libhttp-parser-dev,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.2.1
Homepage: https://github.com/MagicStack/httptools/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-httptools
Vcs-Git: https://salsa.debian.org/python-team/modules/python-httptools.git
Testsuite: autopkgtest-pkg-python

Package: python3-httptools
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: framework independent HTTP protocol utils (Python3 version)
 httptools is a Python binding for nodejs HTTP parser. It contains two classes
 httptools.HttpRequestParser, httptools.HttpResponseParser and a function for
 parsing URLs httptools.parse_url.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=httptools
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-httptools 0.1.1

=== debian/changelog ===
python-httptools (0.1.1-3build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:42:58 +0000

python-httptools (0.1.1-3build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:01:32 +0000

python-httptools (0.1.1-3build4) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:49 +0100

python-httptools (0.1.1-3build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:53:31 +0000

python-httptools (0.1.1-3build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:26:08 +0100

python-httptools (0.1.1-3build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Mar 2023 05:52:03 +0000

python-httptools (0.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:23:16 +0100

python-httptools (0.1.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 14:09:53 -0400

python-httptools (0.1.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Remove cythonize patches, fixed upstream.
  * Refresh patches.
  * Add patch to drop homegrown build extension and replace it with
    standard cython setup.
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Enable hardening build options.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Feb 2020 20:26:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: python-httptools
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  cython3,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  libhttp-parser-dev,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/MagicStack/httptools/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-httptools
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-httptools.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-httptools
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-httptools.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-httptools
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-httptools-$1/ \
https://github.com/MagicStack/httptools/releases \
/MagicStack/httptools/archive/v([\d\.]+)\.tar\.gz
